%% Author Information
% Calculate Recieved Signal Strength Indicator from WAV File
%
% George Smart
% Department of Electronic & Electrical Engineering
% University College London
%
% http://www.george-smart.co.uk/
%

%% Setup Recorder
%SampleRate, SampleBitDepth, Samples Channels
recorder = audiorecorder(44100, 16, 1);

%% Setup Log File
fileID = fopen('MATLAB_RSSI.csv', 'a');

%% Loop The Sampling & RSSI Calculation
pause on % allow script to halt operations

while (1==1)
    DATE_NOW = datestr(now, 'dd/mm/yy');
    TIME_NOW = datestr(now, 'HH:MM:SS');
    MINUTE_NOW = str2double(datestr(now, 'MM'));
    if ( ( (MINUTE_NOW > 0) && (MINUTE_NOW < 7) ) || ( (MINUTE_NOW > 30) && (MINUTE_NOW < 37) ) )
        %Sampler Object, Sample Duration (Seconds), Filter Centre, Filter BW,
        %Filter Order, Graph Plot
        RSSI = CalculateRSSI(recorder, 1, 800, 10, 50000, 1);
        fprintf(fileID, '%s %s,%f\n', DATE_NOW, TIME_NOW, RSSI);
        fprintf('RSSI: %f\n', RSSI);
    else
        fprintf('Not sampling. (MINUTE_NOW=%d)\n', MINUTE_NOW);
        pause(5)
    end
end

fclose(fileID);
clear recorder;
